#include <cassert>
#include <iostream>

#include "city.h"
#include "country.h"

using namespace places;

namespace{    
   int max_country_ID = -1;
}

void Country::add_city(City* c)
{
   assert(c->get_country() == this);
   this->cities.push_back(c);
}

void Country::out() const
{
   std::cout << "Country name \"" << this->name << "\" "
             << "(ID " << this->ID << "). ";

   std::cout << "Cities";
   for(auto i = this->cities.begin(); i != this->cities.end(); i++)
      std::cout << " [" << (*i)->get_name() << "]";
   std::cout << ".\n\n";
}

int Country::next_country_ID()
{
   return ++max_country_ID;
}
