#pragma once

#include <string>
#include <vector>

namespace places
{
   class City;

   class Country
   {
    public:
      Country(std::string in_name):
         ID{this->next_country_ID()}, name{in_name} {}

      int get_ID() const { return this->ID; }
      std::string get_name() const { return this->name; }

      void add_city(City* c);

      void out() const;
        
    private:
      int ID;
      std::string name;
      std::vector<City*> cities;
      
      int next_country_ID();
   };
}
